<?php

/**
 * This file contains package_quiqqer_health_ajax_linkchecker_jobs
 */

/**
 * Returns linkchecker jobs for a grid
 *
 * @param string $params - JSON query params
 *
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_health_ajax_linkchecker_jobs',
    function ($params) {
        $Handler = new QUI\Health\Linkchecker\Handler();

        $Grid = new \QUI\Utils\Grid();
        $data = $Handler->getChildrenData(
            $Grid->parseDBParams(json_decode($params, true))
        );

        return $Grid->parseResult($data, $Handler->countChildren());
    },
    array('params'),
    'Permission::checkAdminUser'
);
