<?php

/**
 * This file contains QUI\Health\Linkchecker\Handler
 */
namespace QUI\Health\Linkchecker;

use QUI;

/**
 * Class Handler
 * @package QUI\Handler
 */
class Handler extends QUI\CRUD\Factory
{
    /**
     * @return string
     */
    public function getDataBaseLinkcheckerTableName()
    {
        return QUI::getDBTableName('health_linkchecker');
    }

    /**
     * @return string
     */
    public function getDataBaseTableName()
    {
        return QUI::getDBTableName('health_jobs');
    }

    /**
     * @return string
     */
    public function getChildClass()
    {
        return 'QUI\Health\Linkchecker\Job';
    }

    /**
     * @return array
     */
    public function getChildAttributes()
    {
        return array(
            'project',
            'lang',
            'siteids',
            'date'
        );
    }
}
