<?php

/**
 * This file contains package_quiqqer_health_ajax_linkchecker_job
 */

/**
 * Returns the date of one linkchecker job
 *
 * @param string|integer $jobId - Linkchecker Job-ID
 *
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_health_ajax_linkchecker_job',
    function ($jobId) {
        $Handler = new QUI\Health\Linkchecker\Handler();
        $Grid    = new QUI\Utils\Grid();

        /* @var $Job \QUI\Health\Linkchecker\Job */
        $Job  = $Handler->getChild($jobId);
        $data = $Job->getData();

        return $Grid->parseResult($data, count($data));
    },
    array('jobId'),
    'Permission::checkAdminUser'
);
